Name: librep
Version: 0.91.1
Release: 4%{?dist}
Summary: A lightweight Lisp environment
License: GPLv2+
Group: Development/Languages
Source0: http://download.tuxfamily.org/%{name}/%{name}-%{version}.tar.bz2
Patch0: librep-0.91.1-dynamicload.patch
URL: http://sawfish.wikia.com/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: gmp-devel, gdbm-devel, readline-devel, libffi-devel, texinfo
BuildRequires: chrpath, emacs

%description
This is a lightweight Lisp environment for UNIX. It contains a Lisp
interpreter, byte-code compiler and virtual machine. Applications may
use the Lisp interpreter as an extension language, or it may be used
for standalone scripts.

Originally inspired by Emacs Lisp, the language dialect combines many
of the Emacs Lisp features while trying to remove some of the main
deficiencies, with features from Common Lisp and Scheme.

%package devel
Summary: Development files for librep
Group: Development/Languages
Requires: %{name} = %{version}-%{release}, pkgconfig

%description devel
Link libraries and C header files for librep development.

%package -n emacs-%{name}
Group: System Environment/Libraries
Summary: Emacs bindings for the librep main application
Requires: emacs(bin) >= %{_emacs_version}

%description -n emacs-%{name}
This package contains the Emacs related byte compiled files so that
librep nicely interacts and integrates into Emacs.

%package -n emacs-%{name}-el
Group: System Environment/Libraries
Summary: Emacs bindings for the librep main application
Requires: emacs-%{name} = %{version}-%{release}

%description -n emacs-%{name}-el
This package contains the Emacs related source files so that librep
nicely interacts and integrates into Emacs.

%prep
%setup -q
%patch0 -p1

%build
%configure --with-readline --enable-shared --disable-static
make %{?_smp_mflags}
%{_emacs_bytecompile} rep-debugger.el

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}
rm -f %{buildroot}%{_infodir}/dir
chrpath --delete %{buildroot}%{_bindir}/rep
%{__install} -m 644 rep-debugger.elc %{buildroot}%{_emacs_sitelispdir}

%clean
rm -rf %{buildroot}

%post
/sbin/ldconfig
/sbin/install-info %{_infodir}/%{name}.info %{_infodir}/dir || :

%preun
if [ $1 = 0 ]; then
    /sbin/install-info --delete %{_infodir}/%{name}.info %{_infodir}/dir || :
fi

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc NEWS README TODO COPYING
%dir %{_libdir}/rep/
%dir %{_libdir}/rep/%{version}/
%{_bindir}/rep
%{_bindir}/rep-remote
%{_datadir}/rep/
%{_datadir}/man/man1/rep-remote.1.gz
%{_datadir}/man/man1/rep.1.gz
%{_infodir}/librep.info.gz
%{_libdir}/librep.so.*
%{_libdir}/rep/%{version}/%{_host}/
%exclude %{_libdir}/rep/%{version}/%{_host}/*.la
%exclude %{_libdir}/rep/%{version}/%{_host}/rep/*.la
%exclude %{_libdir}/rep/%{version}/%{_host}/rep/*/*.la
%exclude %{_libdir}/rep/%{version}/%{_host}/rep/*/*/*.la

%files devel
%defattr(-,root,root,-)
%{_bindir}/rep-xgettext
%{_bindir}/repdoc
%{_includedir}/rep/
%{_libdir}/rep/%{_host}/
%{_libdir}/pkgconfig/librep.pc
%{_libdir}/librep.so
%{_datadir}/man/man1/rep-xgettext.1.gz
%{_datadir}/man/man1/repdoc.1.gz
%exclude %{_libdir}/librep.la

%files -n emacs-%{name}
%defattr(-,root,root,-)
%{_emacs_sitelispdir}/rep-debugger.elc

%files -n emacs-%{name}-el
%defattr(-,root,root,-)
%{_emacs_sitelispdir}/rep-debugger.el

%changelog
* Tue Apr 12 2011 Kim B. Heino <b@bbbs.net> - 0.91.1-4
- Add emacs-librep subpackage

* Sat Apr  2 2011 Kim B. Heino <b@bbbs.net> - 0.91.1-3
- Fix dynamic loading

* Fri Apr  1 2011 Kim B. Heino <b@bbbs.net> - 0.91.1-2
- Fix Fedora packaging guideline errors

* Thu Mar 31 2011 Kim B. Heino <b@bbbs.net> - 0.91.1-1
- Update to 0.91.1

* Sat Sep 25 2010 Kim B. Heino <b@bbbs.net> - 0.91.0-1
- fix rpath again
- fix doc-files, url, misc fixes

* Sun Jan 10 2010 Kim B. Heino <b@bbbs.net> - 0.90.6-1
- fix devel package, fix rpmlint warnings

* Sat Sep 05 2009 Kim B. Heino <b@bbbs.net>
- add dist-tag, update buildrequires

* Sun Jan 18 2009 Christopher Bratusek <zanghar@freenet.de>
- several updates

* Fri Jan 02 2009 Christopher Bratusek <nano-master@gmx.de>
- source archive is a .tar.bz2

* Thu Dec 18 2008 Christopher Bratusek <nano-master@gmx.de>
- rep.m4 no longer available
- install librep.pc

* Tue Jun 13 2000 John Harper <john@dcs.warwick.ac.uk>
- use better macros

* Wed Nov 10 1999 Michael K. Johnson <johnsonm@redhat.com>
- post{,un} use -p

* Mon Sep 13 1999 Aron Griffis <agriffis@bigfoot.com>
- 0.5 spec file update: added buildroot
